PutAccountColor
Sets the color associated with an account.
This action has been deprecated. Use UpdateAccountCustomizations instead.
Request Syntax
PUT /v1/account-color HTTP/1.1
Content-type: application/json
{
"color": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- color
-
The color to associate with the account.
Type: String
Valid Values:
none|pink|purple|darkBlue|lightBlue|teal|green|yellow|orange|redRequired: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"color": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- color
-
The color associated with the account.
Type: String
Valid Values:
none|pink|purple|darkBlue|lightBlue|teal|green|yellow|orange|red
Errors
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The service encountered an internal error. Try your request again later.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied because of request throttling. Reduce the frequency of your requests.
HTTP Status Code: 429
- ValidationException
-
The input does not satisfy the constraints that are specified by the service.
HTTP Status Code: 400